> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/lab-tests/recommended-supplements.md).

# Recommended Supplements

Use the `supplementsRecommended` query to get the list of all supplements recommended for the user.&#x20;

### Available Arguments

| Argument | Type   | Description                                                                                            |
| -------- | ------ | ------------------------------------------------------------------------------------------------------ |
| `first`  | Int    | Retrieves the first results from the list.                                                             |
| `after`  | String | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `before` | String | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `id`     | ID     | Id of the Lab Test Report.                                                                             |
| `last`   | Int    | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |

### Available Fields

| Field Name   | Type       | Description                                           |
| ------------ | ---------- | ----------------------------------------------------- |
| `id`         | ID         | Recommended supplements ID.                           |
| `createdAt`  | DateTime   | Recommended Supplement date                           |
| `supplement` | Supplement | [Supplement](/graphql/objects/supplement.md).         |
| `biomarker`  | Biomarker  | [Biomarker](/graphql/objects/lab-tests/biomarker.md). |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query supplementsRecommended($id: ID, $first: Int) {
    supplementsRecommended(id: $id, first: $first) {
        pageInfo {
            startCursor hasNextPage hasPreviousPage endCursor
        }
        edges {
            cursor
            node {
                id createdAt updatedAt 
                supplement { 
                    id name category mainImage brand servingName description
                    directionsOfUseText sizeCount externalId sku storeId
                    shopifyVariantId shopifyParentId instructions ingredients 
                    supplementFacts images directionsOfUse { id quantity timeOfDay }
                    createdAt updatedAt
                }
                biomarker {
                    id name method description range { max min } 
                    aliases { name language }
                    category { id name parent { id name } }
                    units { name factor alias }
                    optimalRange { max min }
                    borderlineRange { max min }
                }
            }
        }
    }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "supplementsRecommended": {
      "pageInfo": {
        "startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
        "hasNextPage": false,
        "hasPreviousPage": false,
        "endCursor": "YXJyYXljb25uZWN0aW9uOjA="
      },
      "edges": [
        {
          "cursor": "YXJyYXljb25uZWN0aW9uOjA=",
          "node": {
            "id": "U3VwcGxlbWVudFJlY29tbWVuZGVkOjI=",
            "valueMax": 150,
            "valueMin": 1,
            "normalValues": [],
            "createdAt": "2023-02-09T20:51:22.630255+00:00",
            "updatedAt": "2023-02-09T20:51:22.630284+00:00",
            "supplement": {
              "id": "U3VwcGxlbWVudDo4ZmMwM2NjYy0yYmI0LTQwODktODI0Ni00NDIzNGNmOGM2YWY=",
              "name": "100% Wild Oil of Oregano",
              "category": "Supplement",
              "mainImage": "https://cdn.shopify.com/s/files/1/0008/6202/7829/products/file_7cd6a192-008c-4f80-8dd2-e43b9a90cc24.png?v=1614278404",
              "brand": "Physician's Strength Rx",
              "servingName": "2 drops",
              "description": null,
              "directionsOfUseText": "Hold under tounge for 30 seconds before swallow",
              "sizeCount": 216,
              "externalId": "",
              "sku": "SUP-PHY-OREG-DRO-000-000",
              "storeId": "100-wild-oil-of-oregano",
              "shopifyVariantId": null,
              "shopifyParentId": null,
              "instructions": "",
              "ingredients": "",
              "supplementFacts": "",
              "images": [],
              "directionsOfUse": [
                {
                  "id": "U3VwcGxlbWVudERpcmVjdGlvbjo0NA==",
                  "quantity": 1,
                  "timeOfDay": "AT_WAKING"
                },
                {
                  "id": "U3VwcGxlbWVudERpcmVjdGlvbjo0NQ==",
                  "quantity": 0,
                  "timeOfDay": "WITH_BREAKFAST"
                },
                {
                  "id": "U3VwcGxlbWVudERpcmVjdGlvbjo0Ng==",
                  "quantity": 0,
                  "timeOfDay": "WITH_LUNCH"
                },
                {
                  "id": "U3VwcGxlbWVudERpcmVjdGlvbjo0Nw==",
                  "quantity": 0,
                  "timeOfDay": "WITH_DINNER"
                },
                {
                  "id": "U3VwcGxlbWVudERpcmVjdGlvbjo0OA==",
                  "quantity": 1,
                  "timeOfDay": "AT_BEDTIME"
                }
              ],
              "createdAt": "2022-03-24T22:35:33.122593+00:00",
              "updatedAt": "2022-03-24T22:35:33.122618+00:00"
            },
            "biomarker": {
              "id": "QmlvbWFya2VyOjE=",
              "name": "Diabetes Risk Index",
              "method": "Method for diabetes risk index",
              "description": "Diabetes...",
              "range": {
                "max": 100,
                "min": 0
              },
              "aliases": [
                {
                  "name": "DRI",
                  "language": "EN"
                }
              ],
              "category": {
                "id": "QmlvbWFya2VyQ2F0ZWdvcnk6NDg=",
                "name": "Adrenocortical hormones",
                "parent": {
                  "id": "QmlvbWFya2VyQ2F0ZWdvcnk6NDQ=",
                  "name": "Hormonal studies"
                }
              },
              "units": [
                {
                  "name": "%",
                  "factor": 1,
                  "alias": null
                }
              ],
              "optimalRange": {
                "max": 100,
                "min": 0
              },
              "borderlineRange": {
                "max": null,
                "min": null
              },
            }
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/lab-tests/recommended-supplements.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
